## This version of expire.conf is designed to handle 
## a full feed on limited storage, e.g. 4-6 Gb
## --------------------------------------------------
## When diskuse is less than x, apply these rules.  Rule syntax:
## 
##   DISKUSE x GROUPS wildlist KEEP n DEFAULT n PURGE n MAXITEMS n MINITEMS n
##
## LAST matching news group record with correct diskuse is applied so 
## put defaults at the top. NOT the bottom.
##
## diskuse %of_total	Measured in megabytes.  Must start each line
## groups list,...	Wildcard list of news groups
## minitems n	Don't apply date rules if less than this many in group
## maxitems n	Delete items until there are less than this many items.
## keep days	Keep item this long even if expired header disagrees
## default days	Keep item this long unless expire head sais otherwise
## purge days	Delete after this long even if expired header disagrees
## remember days	Number of days to remember we 'had' an article.
## total meg	The total is defined in the dnews.conf file.
##
##
## For a full feed, you need to have gaps between normal and panic which
## are AT LEAST as big as one days feed.  (e.g. 300-1Gig .)
##
## The last matching rule is used

# How many days to keep entries in the history file.
remember 3

# If we are way over. (this must be here or no rules match past 90%!!!)
upto 10000% groups * keep 0 default 1 purge 10 maxitems 0 minitems 0

# Start to panic a lot
upto 110% groups * keep 0 default 1 purge 2 maxitems 2 minitems  0 
upto 99% groups * keep 0 default 1 purge 10 maxitems 10 minitems  0  
# Start to panic a little
upto 90% groups * keep 0 default 2 purge 33 maxitems 100 minitems  0 
upto 90% groups *binaries* keep 0 default 1 purge 33 maxitems 10 minitems 0 

# Normal operation, put your meaningfull settings here.
# Settings for min and max items are a matter of taste, remember some 
# older news readers don't deal with large numbers of items very well.
upto 85% groups * keep 0 default 5 purge 33 maxitems 200 minitems  5 
upto 85% groups *binaries* keep 0 default 2 purge 33 maxitems 100 minitems  0 
upto 80% groups * keep 0 default 10 purge 33 maxitems 500 minitems  5 
upto 80% groups *binaries* keep 0 default 5 purge 33 maxitems 300 minitems  0 
upto 75% groups * keep 5 default 20 purge 33 maxitems 1000 minitems 20 
upto 75% groups *binaries* keep 5 default 10 purge 33 maxitems 500 minitems 20 
upto 60% groups * keep 5 default 30 purge 33 maxitems 2000 minitems  100 

# Lots of space, just stop things getting silly (e.g. 10000 items in...)
upto 30% groups * keep 5 default 30 purge 33 maxitems 3000 minitems  200
upto 20% groups * maxitems 2000 

# Local groups, maybe we want to keep them forever
# upto 1000% groups local.* keep 9999 minitems 99999 maxitems 999999
